Index: src/Parser/MpqcParser.cpp
===================================================================
--- src/Parser/MpqcParser.cpp	(revision 52baf9e6c40a11d21dbc723f3b31eca45daef2f5)
+++ src/Parser/MpqcParser.cpp	(revision 2fd80b56d5b7d29736198f4a8490428ffd019e9f)
@@ -21,5 +21,5 @@
  *
  */
-MpqcParser::MpqcParser()
+MpqcParser::MpqcParser() : HessianPresent(false)
 {
 
Index: src/Parser/PcpParser.cpp
===================================================================
--- src/Parser/PcpParser.cpp	(revision 52baf9e6c40a11d21dbc723f3b31eca45daef2f5)
+++ src/Parser/PcpParser.cpp	(revision 2fd80b56d5b7d29736198f4a8490428ffd019e9f)
@@ -282,8 +282,11 @@
   case 0: // SpinDouble
     ParseForParameter(verbose,FileBuffer,"MaxPsiDouble", 0, 1, 1, int_type, &(PlaneWaveSpecifics.MaxPsiDouble), 1, critical);
+    ParseForParameter(verbose,FileBuffer,"PsiMaxNoUp", 0, 1, 1, int_type, &(PlaneWaveSpecifics.PsiMaxNoUp), 1, optional);
+    ParseForParameter(verbose,FileBuffer,"PsiMaxNoDown", 0, 1, 1, int_type, &(PlaneWaveSpecifics.PsiMaxNoDown), 1, optional);
     ParseForParameter(verbose,FileBuffer,"AddPsis", 0, 1, 1, int_type, &(PlaneWaveSpecifics.AddPsis), 1, optional);
     break;
   case 1: // SpinUpDown
     if (Parallelization.ProcPEGamma % 2) Parallelization.ProcPEGamma*=2;
+    ParseForParameter(verbose,FileBuffer,"MaxPsiDouble", 0, 1, 1, int_type, &(PlaneWaveSpecifics.MaxPsiDouble), 1, optional);
     ParseForParameter(verbose,FileBuffer,"PsiMaxNoUp", 0, 1, 1, int_type, &(PlaneWaveSpecifics.PsiMaxNoUp), 1, critical);
     ParseForParameter(verbose,FileBuffer,"PsiMaxNoDown", 0, 1, 1, int_type, &(PlaneWaveSpecifics.PsiMaxNoDown), 1, critical);
@@ -450,5 +453,5 @@
   PlaneWaveSpecifics.MaxPsiDouble = PlaneWaveSpecifics.PsiMaxNoDown = PlaneWaveSpecifics.PsiMaxNoUp = PlaneWaveSpecifics.PsiType = 0;
   for (vector<atom *>::iterator runner = allatoms.begin(); runner != allatoms.end(); ++runner) {
-    PlaneWaveSpecifics.MaxPsiDouble += (*runner)->type->Valence;
+    PlaneWaveSpecifics.MaxPsiDouble += (*runner)->type->NoValenceOrbitals;
   }
   cout << PlaneWaveSpecifics.MaxPsiDouble << endl;
Index: src/Parser/XyzParser.cpp
===================================================================
--- src/Parser/XyzParser.cpp	(revision 52baf9e6c40a11d21dbc723f3b31eca45daef2f5)
+++ src/Parser/XyzParser.cpp	(revision 2fd80b56d5b7d29736198f4a8490428ffd019e9f)
@@ -60,7 +60,9 @@
     time_t now = time((time_t *)NULL);   // Get the system time and put it into 'now' as 'calender time'
     comment = "\tCreated by molecuilder on ";
-    comment += ctime(&now);
+    // ctime ends in \n\0, we have to cut away the newline
+    std::string time(ctime(&now));
+    comment += time.substr(time.find('\n'));
   }
-  *file << World::getInstance().numAtoms() << endl << comment;
+  *file << World::getInstance().numAtoms() << endl << comment << endl;
 
   vector<atom*> atoms = World::getInstance().getAllAtoms();
Index: src/unittests/ParserUnitTest.cpp
===================================================================
--- src/unittests/ParserUnitTest.cpp	(revision 52baf9e6c40a11d21dbc723f3b31eca45daef2f5)
+++ src/unittests/ParserUnitTest.cpp	(revision 2fd80b56d5b7d29736198f4a8490428ffd019e9f)
@@ -66,5 +66,5 @@
 RelEpsTotalE\t1e-07\t# relative change in total energy\n\
 RelEpsKineticE\t1e-05\t# relative change in kinetic energy\n\
-MaxMinStopStep\t0\t# check every ..th steps\n\
+MaxMinStopStep\t2\t# check every ..th steps\n\
 MaxMinGapStopStep\t1\t# check every ..th steps\n\
 \n\
@@ -73,5 +73,5 @@
 InitRelEpsTotalE\t1e-05\t# relative change in total energy\n\
 InitRelEpsKineticE\t0.0001\t# relative change in kinetic energy\n\
-InitMaxMinStopStep\t0\t# check every ..th steps\n\
+InitMaxMinStopStep\t2\t# check every ..th steps\n\
 InitMaxMinGapStopStep\t1\t# check every ..th steps\n\
 \n\
@@ -86,7 +86,7 @@
 RiemannTensor\t0\t# (Use metric)\n\
 PsiType\t0\t# 0 - doubly occupied, 1 - SpinUp,SpinDown\n\
-MaxPsiDouble\t0\t# here: specifying both maximum number of SpinUp- and -Down-states\n\
-PsiMaxNoUp\t0\t# here: specifying maximum number of SpinUp-states\n\
-PsiMaxNoDown\t0\t# here: specifying maximum number of SpinDown-states\n\
+MaxPsiDouble\t2\t# here: specifying both maximum number of SpinUp- and -Down-states\n\
+PsiMaxNoUp\t2\t# here: specifying maximum number of SpinUp-states\n\
+PsiMaxNoDown\t2\t# here: specifying maximum number of SpinDown-states\n\
 AddPsis\t0\t# Additional unoccupied Psis for bandgap determination\n\
 \n\
@@ -122,7 +122,7 @@
 \tunit = angstrom\n\
 \t{ atoms geometry } = {\n\
-\t\tO [ 0\t0\t0 ]\n\
-\t\tH [ 0.758602\t0\t0.504284 ]\n\
-\t\tH [ 0.758602\t0\t-0.504284 ]\n\
+\t\tO [ -0.505735\t0\t0 ]\n\
+\t\tH [ 0.252867\t0\t0.504284 ]\n\
+\t\tH [ 0.252867\t0\t-0.504284 ]\n\
 \t}\n\
 )\n\
@@ -131,5 +131,5 @@
 \tmolecule = $:molecule\n\
 )\n";
-static string waterXyz = "3\nH2O: water molecule\nO\t0.000000\t0.000000\t0.000000\nH\t0.758602\t0.000000\t0.504284\nH\t0.758602\t0.000000\t-0.504284\n";
+static string waterXyz = "3\nH2O: water molecule\nO\t0\t0\t0\nH\t0.758602\t0\t0.504284\nH\t0.758602\t0\t-0.504284\n";
 static string Tremolo_Atomdata1 = "# ATOMDATA\tId\tname\tType\tx=3\n";
 static string Tremolo_Atomdata2 = "#\n#ATOMDATA Id name Type x=3\n1 hydrogen H 3.0 4.5 0.1\n\n";
@@ -321,4 +321,6 @@
 
   // compare both configs
-  CPPUNIT_ASSERT(input.str() == output.str());
-}
+  string first = input.str();
+  string second = output.str();
+  CPPUNIT_ASSERT(first == second);
+}
